diff --git a/src/main.c b/src/main.c
index 95b8232..f117fb9 100644
--- a/src/main.c
+++ b/src/main.c
@@ -106,6 +106,11 @@
 # define RTPP_DEBUG	1
 #endif
 
+/* Required for musl */
+#ifndef DEFFILEMODE
+# define DEFFILEMODE (S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH|S_IWOTH) /*0666*/
+#endif
+
 static void usage(void);
 
 #ifdef RTPP_CHECK_LEAKS

diff --git a/src/rtpp_record.c b/src/rtpp_record.c
index e0b10a9..0a4f315 100644
--- a/src/rtpp_record.c
+++ b/src/rtpp_record.c
@@ -70,6 +70,11 @@
 #include "rtpp_pipe.h"
 #include "rtpp_netaddr.h"
 
+/* Required for musl */
+#ifndef DEFFILEMODE
+# define DEFFILEMODE (S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH|S_IWOTH) /*0666*/
+#endif
+
 enum record_mode {MODE_LOCAL_PKT, MODE_REMOTE_RTP, MODE_LOCAL_PCAP}; /* MODE_LOCAL_RTP/MODE_REMOTE_PKT? */
 
 struct rtpp_record_channel {

diff --git a/modules/acct_csv/rtpp_acct_csv.c b/modules/acct_csv/rtpp_acct_csv.c
index bd065ea..3ec9494 100644
--- a/modules/acct_csv/rtpp_acct_csv.c
+++ b/modules/acct_csv/rtpp_acct_csv.c
@@ -54,6 +54,11 @@
 
 #define SSRC_STRLEN 11
 
+/* Required for musl */
+#ifndef DEFFILEMODE
+# define DEFFILEMODE (S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH|S_IWOTH) /*0666*/
+#endif
+
 struct rtpp_mod_acct_face {
    char rtp_adr[MAX_AP_STRBUF];
    char rtcp_adr[MAX_AP_STRBUF];

